.nav {
    &__header {
        margin-top: 45px;
        position: relative;
    }
}

#menu__toggle {
    opacity: 0;
}

.menu {
    
    &__list {
        // margin-top: 51px;
        @include flex;
        
        &-item {
            font-size: rem(11);
            line-height: rem(22);
            text-transform: uppercase;
            margin-right: 4.25em;

        }
        &-item:hover {
            background-color: #F5F5F5;
        }
        
        &-link {
            color: $titleText-color;
            text-decoration: none;
            display: inline-block;

            // &--aqua {
            //     text-decoration: none;
            //     color: #57A4A4;
            // }

            &_active {
                text-decoration: none;
                color: #57A4A4;
            }
        }
    }
}

.burger {
    @include flex;
}

.header {
    &__wrapper {
        margin-top: 51px;
        width: 100%
    }
}




@media (max-width: 768px) {
    .nav {
        margin-top: 45px;
    }

    #menu__toggle {
        opacity: 0;
    }
    
    #menu__toggle:checked ~ .menu__btn > span {
        transform: rotate(45deg);
    }
    #menu__toggle:checked ~ .menu__btn > span::before {
        top: 0;
        transform: rotate(0);
    }
    #menu__toggle:checked ~ .menu__btn > span::after {
        top: 0;
        transform: rotate(90deg);
    }
    #menu__toggle:checked ~ .menu__list {
        visibility: visible;
        top: 43px;
    }

    .menu__btn {
        display: flex;
        align-items: center;
        // position: fixed;
        position: absolute;
        width: 17px;
        height: 2px;
        cursor: pointer;
        z-index: 1;
        
    }
    
    .menu__btn > span,
    .menu__btn > span::before,
    .menu__btn > span::after {
        display: block;
        position: absolute;
        width: 17px;
        height: 2px;
        background-color: #FFFFFF;
        transition-duration: 0.4s;
    }
    .menu__btn > span::before {
        content: '';
        top: -5px;
    }
    .menu__btn > span::after {
        content: '';
        top: 5px;
    }
    .menu {
        
        &__list {
            right: 0;
            position: absolute;
            pointer-events: none;
            background-color: #F5F5F5;
            visibility: hidden;
            // transition: all .2s ease-in-out; 
            flex-direction: column;
            align-items: flex-start;
            padding: 5px 0 8px 12px;
            display: block; 

            // &-item {
            //     transition-duration: 0.3s;
            // }
        }

        .menu__list-item:hover {
            background-color: #CFD8DC;
        }
    }
 
    // .menu.active {  
    //             // opacity: 1; 
    //             // visibility: visible;
    //             pointer-events: all;  
    //             right: 0;  
    //             margin-top: -44px;
    //         }

    .burger {
        position: absolute;
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: #000000;
        right: 0;
        top: 0;
        width: 44px;
        height: 37px;
        // transition: all .8s ease-in-out; 
        }
    
    
    .header {
        &__wrapper {
            margin-top: 43px;
        }
    }
}


@media (max-width: 320px) {
    .burger {
        display: flex;
        width: 44px;
    }
    
    .menu {
        
        &__list {
            // margin-top: 159px;
            pointer-events: none;
            position: absolute;
            background-color: #F5F5F5;
            // transition: all .8s ease-in-out;   
            flex-direction: column;
            align-items: flex-start;
            padding: 5px 0 8px 12px;
        }
    }
}


.posts {
    margin-top: 66px;
    margin-bottom: 69px;

    &__title {
        font-weight: bold;
        font-size: rem(16);
        line-height: rem(22);
        text-transform: uppercase;
        margin-bottom: 1.5em;
        color: $titleText-color;
    }

    &__info {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    &__wrapper {
        display: flex;
        margin-bottom: 32px;
        
        &-tea,
        &-cafe,
        &-street,
        &-flower {
            margin-right: 21px;
        }

        &-title {
            font-weight: bold;
            font-size: rem(16);
            line-height: rem(30);
            color: $titleText-color;
            margin-bottom: 1px;
        }

        &-subtitle {
            font-weight: normal;
            font-size: rem(12);
            line-height: rem(20);
            color: $subtitleText-color;
            margin-bottom: 13px;
        }

        &-text {
            font-weight: normal;
            font-size: rem(14);
            line-height: rem(26);
            color: $text-color;
        }
    }
}

@media (max-width: 768px) {
    .posts {

        &__info {
            display: flex;
            flex-direction: column;

            
        }
    }
}

@media (max-width: 320px) {
    .posts {
        flex-direction: column;

        &__wrapper {
            display: grid;
            
            &-title {
                flex-direction: column;
                margin-top: 11px;
            }

            &-info {
                
                &-flower {
                    display: none;
                }
            }

            &-text {
                display: none;
            }

            &-flower {
                display: none;
            }

            &-hidden {
                display: none;
            }
        }
    }
}



















// .nav {
//     &__header {
//         margin-top: 45px;
//         position: relative;
//     }
// }

// .menu {
//     margin-bottom: 51px;
    
//     &__list {
//         @include flex;
        
//         &-item {
//             font-size: rem(11);
//             line-height: rem(22);
//             text-transform: uppercase;
//             margin-right: 4.25em;

//         }
//         &-item:hover {
//             background-color: #F5F5F5;
//         }
        
//         &-link {
//             color: $titleText-color;
//             text-decoration: none;
//             display: inline-block;

//             // &--aqua {
//             //     text-decoration: none;
//             //     color: #57A4A4;
//             // }

//             &_active {
//                 text-decoration: none;
//                 color: #57A4A4;
//             }
//         }
//     }
// }

// .header {
//     &__wrapper {
//         width: 100%
//     }
// }

// .burger {
//     display: block;
// 	position: absolute;
// 	right: 0px;
// 	top: 0px;
// 	width: 44px;
// 	height: 37px;

    
//     // &__line {
//     //     display: block;
//     //     width: 17px;
//     //     height: 2px;
//     //     background: #FFFFFF;
//     // }
//     // &__lineFirst, &__lineCenter, &__lineLast {
//     //     display: block;
//     //     width: 17px;
//     //     height: 2px;
//     //     background: #FFFFFF;
//     // }
// }

// #menu__toggle {
//     opacity: 0;
// }

// .menu__btn > span,
// .menu__btn > span::before,
// .menu__btn > span::after {
//     display: block;
//     position: absolute;
//     width: 17px;
//     height: 2px;
//     background: #FFFFFF;
//     top: 28px;
//     right: 12px;
// }

// .menu__btn > span::before {
//   content: '';
//   top: -16px;
//   right: 0px;
// }

// .menu__btn > span::after {
//   content: '';
//   top: -8px;
//   right: 0;
// }

// .menu__item:hover {
//     background-color:  #E5E5E5;
// }

// #menu__toggle:checked ~ .menu__btn > span {
//     transform: rotate(45deg);
// }

// #menu__toggle:checked ~ .menu__btn > span::before {
//     top: 0;
//     transform: rotate(0);
// }

// #menu__toggle:checked ~ .menu__btn > span::after {
//     top: 0;
//     transform: rotate(90deg);
// }

// #menu__toggle:checked ~ .menu__box {
//     visibility: visible;
//     left: 0;
// }

// @media (max-width: 768px) {
//     .nav {
//         margin-top: 45px;
//     }

//     .burger {
//         display: flex;
//         background-color: #000000;
//         // padding: 12px 0;
//         // padding: 14px 22px;
//         // margin-top: -42px;
        

//         // &__lineFirst {
//         //     // transform: rotate(25deg);
//         //     transform: rotate(-132deg) translate(-2px);
//         // }
//         // &__lineCenter {
//         //     display: none;
//         //     // transform: rotate(50deg);
//         // }
//         // &__lineLast {
//         //     // transform: rotate(-50deg) translate(10px, 8px);
//         //     transform: rotate(-50deg) translate(2px);
//         // }
//     }
    
//     .menu {
//         position: absolute;
//         // top: 23px;
//         // top: 81px;
//         // left: 230px;
//         right: 0;
//         background-color: #F5F5F5;
//         // padding: 20px;
//         opacity: 0;
//         pointer-events: none;
//         transition: all .8s ease-in-out;   

//         &__list {
//             flex-direction: column;
//             align-items: flex-start;
//             // margin-left: 12px;
//             padding: 5px 0 8px 12px;
//             // background: #E5E5E5;
//         }
//     }

//     .header {
//         &__wrapper {
//             margin-top: 43px;
//         }
//     }

//     .menu.active {  
//         opacity: 1; 
//         pointer-events: all;  
//         right: 0;  
//         margin-top: 43px;
    
//         &__list {
//             &-item:hover {
//                 background: #E5E5E5;
//             }
//         }
//     }
// }


// @media (max-width: 320px) {
//     .burger {
//         display: flex;
//         background-color: #000000;
//         // padding: 12px 0;
//         width: 44px;
//         // margin-top: 23px;
//         // left: 202px;
//         // right: 0;
//     }
    
//     .menu {
//         position: absolute;
//         top: 81px;
//         // left: 210px;
//         right: 0;
//         background-color: #F5F5F5;
//         opacity: 0;
//         pointer-events: none;
//         transition: all .8s ease-in-out;   

//         &__list {
//             flex-direction: column;
//             align-items: flex-start;
//             padding: 5px 0 8px 12px;
//         }
//     }

//     .menu.active {  
//         opacity: 1; 
//         pointer-events: all;  
//         right: 0;  
//         margin-top: -44px;
//     }
// }


// .posts {
//     margin-top: 66px;
//     margin-bottom: 69px;

//     &__title {
//         font-weight: bold;
//         font-size: rem(16);
//         line-height: rem(22);
//         text-transform: uppercase;
//         margin-bottom: 1.5em;
//         color: $titleText-color;
//     }

//     &__info {
//         display: grid;
//         grid-template-columns: repeat(2, 1fr);
//     }

//     &__wrapper {
//         display: flex;
//         margin-bottom: 32px;
        
//         &-tea,
//         &-cafe,
//         &-street,
//         &-flower {
//             margin-right: 21px;
//         }

//         &-title {
//             font-weight: bold;
//             font-size: rem(16);
//             line-height: rem(30);
//             color: $titleText-color;
//             margin-bottom: 1px;
//         }

//         &-subtitle {
//             font-weight: normal;
//             font-size: rem(12);
//             line-height: rem(20);
//             color: $subtitleText-color;
//             margin-bottom: 13px;
//         }

//         &-text {
//             font-weight: normal;
//             font-size: rem(14);
//             line-height: rem(26);
//             color: $text-color;
//         }
//     }
// }

// @media (max-width: 768px) {
//     .posts {

//         &__info {
//             display: flex;
//             flex-direction: column;

            
//         }
//     }
// }

// @media (max-width: 320px) {
//     .posts {
//         flex-direction: column;
//         // flex-direction: column-reverse;

//         &__wrapper {
//             // @include flex;
//             display: grid;
            
//             &-title {
//                 flex-direction: column;
//                 margin-top: 11px;
//             }

//             &-info {
                
//                 &-flower {
//                     display: none;
//                 }
//             }

//             &-text {
//                 display: none;
//             }

//             &-flower {
//                 display: none;
//             }

//             &-hidden {
//                 display: none;
//             }
//         }
//     }
// }